/*
@licstart  The following is the entire license notice for the
JavaScript code in this page.

Copyleft 2021 | Heckyel

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

@licend  The above is the entire license notice
for the JavaScript code in this page.
*/

(function main() {
    'use strict';
    document.addEventListener('DOMContentLoaded', (event) => {
        // buttons
        const $aboutUs = document.getElementById('btn-acerca-de');
        const $project  = document.getElementById('btn-trabajos');
        const $contact  = document.getElementById('btn-contacto');

        // sections
        const $acercaDe = document.getElementById('acerca-de');
        const $trabajos = document.getElementById('trabajos');
        const $contacto = document.getElementById('contacto');

        $aboutUs.addEventListener('click', (e) => {
            e.preventDefault();
            window.scroll({top: 240,  behavior: 'smooth'});
            location.hash = $aboutUs.hash;
        });

        $project.addEventListener('click', (e) => {
            e.preventDefault();
            $trabajos.scrollIntoView({
                behavior: "smooth",
                block: "start",
                inline: "nearest"
            });
            location.hash = $project.hash;
        });

        $contact.addEventListener('click', (e) => {
            e.preventDefault();
            $contacto.scrollIntoView({
                behavior: "smooth",
                block: "start",
                inline: "nearest"
            });
            location.hash = $contact.hash;
        });
    });
}());
